aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/synth/issue1254/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/synth/issue1254/testsuite.sh')
-rwxr-xr-xtestsuite/synth/issue1254/testsuite.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/testsuite/synth/issue1254/testsuite.sh b/testsuite/synth/issue1254/testsuite.sh
new file mode 100755
index 000000000..c12d2864e
--- /dev/null
+++ b/testsuite/synth/issue1254/testsuite.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+cp simple01.vhdl simple.vhdl
+analyze simple.vhdl
+
+cp simple02.vhdl simple.vhdl
+if $GHDL --synth 2>&1 | grep "Bug occurred"; then
+ exit 1
+fi
+
+clean
+
+echo "Test successful"